#
#
#  ##################################################################
#  ##                                                              ##
#  ##  linkgui.make  --  link each of the TINKER programs for FFE  ##
#  ##          (Intel Fortran Compiler for Linux Version)          ##
#  ##                                                              ##
#  ##################################################################
#
#
#  Copy the Java libjvm.so library from ../jre/lib/i386/client
#  in the standard Java distribution to use the script below,
#  or add it to the library search path
#
#
ifort -static-libcxa -o alchemy.x alchemy.o libtinker.a libjvm.so ; strip alchemy.x
ifort -static-libcxa -o analyze.x analyze.o libtinker.a libjvm.so ; strip analyze.x
ifort -static-libcxa -o anneal.x anneal.o libtinker.a libjvm.so ; strip anneal.x
ifort -static-libcxa -o archive.x archive.o libtinker.a libjvm.so ; strip archive.x
ifort -static-libcxa -o correlate.x correlate.o libtinker.a libjvm.so ; strip correlate.x
ifort -static-libcxa -o crystal.x crystal.o libtinker.a libjvm.so ; strip crystal.x
ifort -static-libcxa -o diffuse.x diffuse.o libtinker.a libjvm.so ; strip diffuse.x
ifort -static-libcxa -o distgeom.x distgeom.o libtinker.a libjvm.so ; strip distgeom.x
ifort -static-libcxa -o document.x document.o libtinker.a libjvm.so ; strip document.x
ifort -static-libcxa -o dynamic.x dynamic.o libtinker.a libjvm.so ; strip dynamic.x
ifort -static-libcxa -o gda.x gda.o libtinker.a libjvm.so ; strip gda.x
ifort -static-libcxa -o intedit.x intedit.o libtinker.a libjvm.so ; strip intedit.x
ifort -static-libcxa -o intxyz.x intxyz.o libtinker.a libjvm.so ; strip intxyz.x
ifort -static-libcxa -o minimize.x minimize.o libtinker.a libjvm.so ; strip minimize.x
ifort -static-libcxa -o minirot.x minirot.o libtinker.a libjvm.so ; strip minirot.x
ifort -static-libcxa -o minrigid.x minrigid.o libtinker.a libjvm.so ; strip minrigid.x
ifort -static-libcxa -o monte.x monte.o libtinker.a libjvm.so ; strip monte.x
ifort -static-libcxa -o newton.x newton.o libtinker.a libjvm.so ; strip newton.x
ifort -static-libcxa -o newtrot.x newtrot.o libtinker.a libjvm.so ; strip newtrot.x
ifort -static-libcxa -o nucleic.x nucleic.o libtinker.a libjvm.so ; strip nucleic.x
ifort -static-libcxa -o optimize.x optimize.o libtinker.a libjvm.so ; strip optimize.x
ifort -static-libcxa -o optirot.x optirot.o libtinker.a libjvm.so ; strip optirot.x
ifort -static-libcxa -o optrigid.x optrigid.o libtinker.a libjvm.so ; strip optrigid.x
ifort -static-libcxa -o path.x path.o libtinker.a libjvm.so ; strip path.x
ifort -static-libcxa -o pdbxyz.x pdbxyz.o libtinker.a libjvm.so ; strip pdbxyz.x
ifort -static-libcxa -o polarize.x polarize.o libtinker.a libjvm.so ; strip polarize.x
ifort -static-libcxa -o prmedit.x prmedit.o libtinker.a libjvm.so ; strip prmedit.x
ifort -static-libcxa -o protein.x protein.o libtinker.a libjvm.so ; strip protein.x
ifort -static-libcxa -o pss.x pss.o libtinker.a libjvm.so ; strip pss.x
ifort -static-libcxa -o pssrigid.x pssrigid.o libtinker.a libjvm.so ; strip pssrigid.x
ifort -static-libcxa -o pssrot.x pssrot.o libtinker.a libjvm.so ; strip pssrot.x
ifort -static-libcxa -o radial.x radial.o libtinker.a libjvm.so ; strip radial.x
ifort -static-libcxa -o saddle.x saddle.o libtinker.a libjvm.so ; strip saddle.x
ifort -static-libcxa -o scan.x scan.o libtinker.a libjvm.so ; strip scan.x
ifort -static-libcxa -o sniffer.x sniffer.o libtinker.a libjvm.so ; strip sniffer.x
ifort -static-libcxa -o spacefill.x spacefill.o libtinker.a libjvm.so ; strip spacefill.x
ifort -static-libcxa -o spectrum.x spectrum.o libtinker.a libjvm.so ; strip spectrum.x
ifort -static-libcxa -o superpose.x superpose.o libtinker.a libjvm.so ; strip superpose.x
ifort -static-libcxa -o sybylxyz.x sybylxyz.o libtinker.a libjvm.so ; strip sybylxyz.x
ifort -static-libcxa -o testgrad.x testgrad.o libtinker.a libjvm.so ; strip testgrad.x
ifort -static-libcxa -o testhess.x testhess.o libtinker.a libjvm.so ; strip testhess.x
ifort -static-libcxa -o testlight.x testlight.o libtinker.a libjvm.so ; strip testlight.x
ifort -static-libcxa -o testrot.x testrot.o libtinker.a libjvm.so ; strip testrot.x
ifort -static-libcxa -o timer.x timer.o libtinker.a libjvm.so ; strip timer.x
ifort -static-libcxa -o timerot.x timerot.o libtinker.a libjvm.so ; strip timerot.x
ifort -static-libcxa -o vibrate.x vibrate.o libtinker.a libjvm.so ; strip vibrate.x
ifort -static-libcxa -o vibrot.x vibrot.o libtinker.a libjvm.so ; strip vibrot.x
ifort -static-libcxa -o xtalfit.x xtalfit.o libtinker.a libjvm.so ; strip xtalfit.x
ifort -static-libcxa -o xtalmin.x xtalmin.o libtinker.a libjvm.so ; strip xtalmin.x
ifort -static-libcxa -o xyzedit.x xyzedit.o libtinker.a libjvm.so ; strip xyzedit.x
ifort -static-libcxa -o xyzint.x xyzint.o libtinker.a libjvm.so ; strip xyzint.x
ifort -static-libcxa -o xyzpdb.x xyzpdb.o libtinker.a libjvm.so ; strip xyzpdb.x
ifort -static-libcxa -o xyzsybyl.x xyzsybyl.o libtinker.a libjvm.so ; strip xyzsybyl.x
